import { ITasksContextObject } from "@webiny/tasks";
import { IImportFromUrlUseCaseExecuteResponse } from "../importFromUrl";
import { IAbortImportFromUrlUseCase, IAbortImportFromUrlUseCaseExecuteParams } from "./abstractions/AbortImportFromUrlUseCase";
import { IGetImportFromUrlUseCase } from "../getImportFromUrl";
export interface IAbortImportFromUrlUseCaseParams {
    getTaskUseCase: IGetImportFromUrlUseCase;
    abortTask: ITasksContextObject["abort"];
}
export declare class AbortImportFromUrlUseCase implements IAbortImportFromUrlUseCase {
    private readonly getTaskUseCase;
    private readonly abortTask;
    constructor(params: IAbortImportFromUrlUseCaseParams);
    execute(params: IAbortImportFromUrlUseCaseExecuteParams): Promise<IImportFromUrlUseCaseExecuteResponse>;
}
