import type { ITasksContextObject } from "@webiny/tasks";
import type { IGetExportContentEntriesUseCase, IGetExportContentEntriesUseCaseExecuteParams, IGetExportContentEntriesUseCaseExecuteResponse } from "./abstractions/GetExportContentEntriesUseCase";
import type { IUrlSigner } from "../../../tasks/utils/urlSigner";
export interface IGetExportContentEntriesUseCaseParams {
    getTask: ITasksContextObject["getTask"];
    urlSigner: IUrlSigner;
}
export declare class GetExportContentEntriesUseCase implements IGetExportContentEntriesUseCase {
    private readonly getTask;
    private readonly urlSigner;
    constructor(params: IGetExportContentEntriesUseCaseParams);
    execute(params: IGetExportContentEntriesUseCaseExecuteParams): Promise<IGetExportContentEntriesUseCaseExecuteResponse | null>;
}
