import type { IListExportContentEntriesUseCase, IListExportContentEntriesUseCaseExecuteParams, IListExportContentEntriesUseCaseExecuteResult } from "./abstractions/ListExportContentEntriesUseCase";
import type { ITasksContextObject } from "@webiny/tasks";
export interface IListExportContentEntriesUseCaseParams {
    listTasks: ITasksContextObject["listTasks"];
}
export declare class ListExportContentEntriesUseCase implements IListExportContentEntriesUseCase {
    private readonly listTasks;
    constructor(params: IListExportContentEntriesUseCaseParams);
    execute(params?: IListExportContentEntriesUseCaseExecuteParams): Promise<IListExportContentEntriesUseCaseExecuteResult>;
}
