import type { ITaskResponseResult, ITaskRunParams } from "@webiny/tasks";
import type { Context } from "../../types";
import type { IExportContentEntriesController, IExportContentEntriesControllerInput, IExportContentEntriesControllerOutput } from "./abstractions/ExportContentEntriesController";
export declare class ExportContentEntriesController<C extends Context = Context, I extends IExportContentEntriesControllerInput = IExportContentEntriesControllerInput, O extends IExportContentEntriesControllerOutput = IExportContentEntriesControllerOutput> implements IExportContentEntriesController<C, I, O> {
    run(params: ITaskRunParams<C, I, O>): Promise<ITaskResponseResult<I, O>>;
    private getEntriesTask;
    private getAssetsTask;
}
