import type { ITask, ITaskResponseDoneResultOutput } from "@webiny/tasks";
import type { Context } from "../../../types";
export interface IGetChildTasksParams {
    context: Context;
    task: ITask;
    definition: string;
}
export declare const getChildTasks: <I, O extends ITaskResponseDoneResultOutput>({ context, task, definition }: IGetChildTasksParams) => Promise<{
    running: string[];
    done: string[];
    invalid: string[];
    aborted: string[];
    failed: string[];
    collection: ITask<I, O>[];
}>;
