import type { AbortMultipartUploadCommandOutput } from "@webiny/aws-sdk/client-s3";
import type { IMultipartUploadHandlerAbortResult, IPart } from "../abstractions/MultipartUploadHandler";
export declare class MultipartUploadHandlerAbortResult implements IMultipartUploadHandlerAbortResult {
    readonly result: AbortMultipartUploadCommandOutput;
    readonly uploadId: string;
    readonly parts: IPart[];
    constructor(params: IMultipartUploadHandlerAbortResult);
}
export declare const createMultipartUploadHandlerAbortResult: (params: IMultipartUploadHandlerAbortResult) => IMultipartUploadHandlerAbortResult;
