"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createArchiver = exports.Archiver = void 0;
var _archiver = require("archiver");
class Archiver {
  constructor(config) {
    this.archiver = (0, _archiver.create)(config.format || "zip", config.options);
  }
}
exports.Archiver = Archiver;
const createArchiver = config => {
  return new Archiver(config);
};
exports.createArchiver = createArchiver;

//# sourceMappingURL=Archiver.js.map