import type { IDeleteFiles, IDeleteFilesExecuteInput } from "./abstractions/DeleteFiles";
import type { IFileFetcher } from "../fileFetcher";
export interface IDeleteFilesParams {
    fileFetcher: IFileFetcher;
}
export declare class DeleteFiles implements IDeleteFiles {
    private readonly fileFetcher;
    constructor(params: IDeleteFilesParams);
    execute(input: IDeleteFilesExecuteInput): Promise<void>;
}
export declare const createDeleteFiles: () => IDeleteFiles;
